--- title: "changeWorkerNodeCount" slug: "analytics-cloudhadoop-changeworkernodecount" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudhadoop-changeworkernodecount" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeWorkerNodeCount Available in Classic Change the number of worker nodes in a Cloud Hadoop cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /hadoop/v2/changeWorkerNodeCount | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-cloudhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cloudHadoopInstanceNo` | String | Required | Cluster instance number - See [getCloudHadoopInstanceList](/docs/en/analytics-cloudhadoop-getcloudhadoopinstancelist). | | `workerNodeCount` | Integer | Required | Number of worker nodes - Up to 10 can be added or removed at a time. - Call multiple times to add or remove 11 or more. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/hadoop/v2/changeWorkerNodeCount ?cloudHadoopInstanceNo=2777**** &workerNodeCount=3 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `changeWorkerNodeCountResponse` | Object | - | Response result | | `changeWorkerNodeCountResponse.totalRows` | Integer | - | Number of response results | | `changeWorkerNodeCountResponse.cloudHadoopInstanceList` | Array | - | Cluster list: [cloudHadoopInstanceList](/docs/en/analytics-cloudhadoop-changeworkernodecount#cloudHadoopInstanceList) | | `changeWorkerNodeCountResponse.requestId` | String | - | ID for the request - UUID format | | `changeWorkerNodeCountResponse.returnCode` | String | - | Response code | | `changeWorkerNodeCountResponse.returnMessage` | String | - | Response message | #### `cloudHadoopInstanceList` The following describes `cloudHadoopInstanceList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `cloudHadoopInstanceNo` | String | - | Cluster instance number | | `cloudHadoopClusterName` | String | - | Cluster name | | `cloudHadoopImageProductCode` | String | - | Cluster image code | | `cloudHadoopClusterType` | Object | - | Cluster type information | | `cloudHadoopClusterType.code` | String | - | Cluster type code - `CHADP` \| `HBASE` \| `SPARK` \| `PRESTO` - `CHADP`: Core Hadoop - `HBASE`: HBase - `SPARK`: Spark - `PRESTO`: Presto | | `cloudHadoopClusterType.codeName` | String | - | Cluster type code name | | `masterNodeCpuCount` | Integer | - | Number of master node CPUs | | `masterNodeCount` | Integer | - | Number of master nodes | | `masterNodeMemorySize` | Integer | - | Master node memory capacity (byte) | | `workerNodeCpuCount` | Integer | - | Number of worker node CPUs | | `workerNodeCount` | Integer | - | Number of worker nodes | | `workerNodeMemorySize` | Integer | - | Worker node memory capacity (byte) | | `edgeNodeCpuCount` | Integer | - | Number of edge node CPUs | | `edgeNodeCount` | Integer | - | Number of edge nodes | | `edgeNodeMemorySize` | Integer | - | Edge node memory capacity (byte) | | `cloudHadoopInstanceOperation` | Object | - | Cluster operation information - Displayed if `cloudHadoopInstanceStatusName` is `running` or `settingup` | | `cloudHadoopInstanceOperation.code` | String | - | Cluster operation code - `SETUP` \| `NULL` - `SETUP`: Cloud Hadoop SETUP OP - `NULL`: Cloud Hadoop NULL OP | | `cloudHadoopInstanceOperation.codeName` | String | - | Cluster operation code name | | `cloudHadoopInstanceStatusName` | String | - | Cluster status name - `creating` \| `running` \| `settingup` \| `deleting` - `creating`: creating - `running`: running - `settingup`: setting up - `deleting`: deleting | | `publicDnsName` | String | - | Public domain | | `publicIp` | String | - | Public IP address | | `isHa` | Boolean | - | High availability support - `true` (default) \| `false` - `true`: supported - `false`: not supported | | `zone` | Object | - | Zone information | | `zone.zoneNo` | String | - | Zone number | | `zone.zoneName` | String | - | Zone name | | `zone.zoneCode` | String | - | Zone code | | `zone.zoneDescription` | String | - | Zone description | | `zone.regionNo` | String | - | Region number | | `region` | Object | - | Region information | | `region.regionNo` | String | - | Region number | | `region.regionCode` | String | - | Region code | | `region.regionName` | String | - | Region name | | `masterNodeServerName` | String | - | Master node server name | | `createDate` | String | - | Cluster creation date and time - ISO 8601 format | | `dataArchitecture` | String | - | Data architecture | | `bucketName` | String | - | Object Storage bucket name | | `directConnectionAccount` | String | - | Cluster's direct access account | | `loginKeyName` | String | - | Authentication key name | | `accessControlGroupList` | Array | - | [ACG list](/docs/en/analytics-cloudhadoop-changeworkernodecount#accessControlGroupList) | #### `accessControlGroupList` The following describes `accessControlGroupList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `accessControlGroupConfigurationNo` | String | - | ACG ID | | `accessControlGroupName` | String | - | ACG name | | `accessControlGroupDescription` | String | - | Notes for the ACG | | `isDefault` | Boolean | - | Whether it is a default ACG - `true` \| `false` - `true`: default ACG - `false`: not default ACG | | `createDate` | String | - | ACG creation date and time - ISO 8601 format | ### Response status codes For information about the HTTPS status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-cloudhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "changeWorkerNodeCountResponse": { "totalRows": 1, "cloudHadoopInstanceList": [ { "cloudHadoopInstanceNo": "2777****", "cloudHadoopClusterName": "cluster", "cloudHadoopImageProductCode": "SPSWCHADPLINUX03", "cloudHadoopClusterType": { "code": "CHADP", "codeName": "Core Hadoop" }, "masterNodeCpuCount": 4, "masterNodeCount": 2, "masterNodeMemorySize": 8589934592, "workerNodeCpuCount": 4, "workerNodeCount": 2, "workerNodeMemorySize": 34359738368, "edgeNodeCpuCount": 4, "edgeNodeCount": 1, "edgeNodeMemorySize": 8589934592, "cloudHadoopInstanceOperation": { "code": "SETUP", "codeName": "Cloud Hadoop SETUP OP" }, "cloudHadoopInstanceStatusName": "settingup", "publicDnsName": "****.hadoop.ntruss.com", "publicIp": "***.***.***.***", "isHa": true, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "masterNodeServerName": "m-001-cluster-hd", "createDate": "2025-02-28T09:16:46+0900", "dataArchitecture": "OBJST", "bucketName": "dataforest", "directConnectionAccount": "sshuser", "loginKeyName": "test-123", "accessControlGroupList": [ { "accessControlGroupConfigurationNo": "192****", "accessControlGroupName": "cloud-hadoop-gjb5m", "accessControlGroupDescription": "Group for Cloud Hadoop cluster cluster (automatically created)", "isDefault": false, "createDate": "2025-02-28T09:16:48+0900" } ] } ], "requestId": "21e41806-****-****-****-e89ded4655ed", "returnCode": "0", "returnMessage": "success" } } ```